package com.gxzc.zen.umps.common

import com.gxzc.zen.api.sys.model.SysUser
import org.apache.shiro.authc.UsernamePasswordToken

/**
 * 登陆用token
 * @author NorthLan
 * @date 2018/4/29
 * @url https://noahlan.com
 */
class ZenAuthToken : UsernamePasswordToken {
    var user: SysUser? = null

    constructor() : super()
    constructor(username: String, password: CharArray) : super(username, password)
    constructor(username: String, password: String) : super(username, password)
    constructor(username: String, password: CharArray, host: String) : super(username, password, host)
    constructor(username: String, password: String, host: String) : super(username, password, host)
    constructor(username: String, password: CharArray, rememberMe: Boolean) : super(username, password, rememberMe)
    constructor(username: String, password: String, rememberMe: Boolean) : super(username, password, rememberMe)
    constructor(username: String, password: CharArray, rememberMe: Boolean, host: String) : super(username, password, rememberMe, host)
    constructor(username: String, password: String, rememberMe: Boolean, host: String) : super(username, password, rememberMe, host)

    constructor(username: String, password: CharArray, user: SysUser?) : super(username, password) {
        this.user = user
    }

    constructor(username: String, password: String, user: SysUser?) : super(username, password) {
        this.user = user
    }

    constructor(username: String, password: CharArray, host: String, user: SysUser?) : super(username, password, host) {
        this.user = user
    }

    constructor(username: String, password: String, host: String, user: SysUser?) : super(username, password, host) {
        this.user = user
    }

    constructor(username: String, password: CharArray, rememberMe: Boolean, user: SysUser?) : super(username, password, rememberMe) {
        this.user = user
    }

    constructor(username: String, password: String, rememberMe: Boolean, user: SysUser?) : super(username, password, rememberMe) {
        this.user = user
    }

    constructor(username: String, password: CharArray, rememberMe: Boolean, host: String, user: SysUser?) : super(username, password, rememberMe, host) {
        this.user = user
    }

    constructor(username: String, password: String, rememberMe: Boolean, host: String, user: SysUser?) : super(username, password, rememberMe, host) {
        this.user = user
    }

    override fun clear() {
        super.clear()
        this.user = null
    }
}